<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
define("DS",DIRECTORY_SEPARATOR);

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



Auth::routes();

Route::group(["middleware" =>[ "auth","permissions","lang","url.lang.default"], "namespace" => "Web", "prefix" => "/{lang}/"],function($lang = "en"){
    Route::get('/', "DashboardController@index")->name("dashboard.index");
    Route::resource("branches", "BranchTableController");
    Route::get("users/app", "UsersController@index")->name("users.app.index");

    Route::get("users/driver", "UsersController@driverindex")->name("users.driver.index");

    Route::get("users/vendor", "UsersController@vendorindex")->name("users.vendor.index");

//    Route::get("users/app", "UsersController@getlocation")->name("users.app.index");

    Route::delete("users/app/{id}", "UsersController@destroy")->name("users.app.destroy");
    Route::resource("admins", "UsersDashboardController");
    Route::get("profile", "UsersDashboardController@profile")->name("profile");
    Route::post("profile", "UsersDashboardController@saveProfile")->name("profile.save");

    Route::resource("categories", "CategoryListController");



        Route::get("reports/Categories/export/excel","ReportController@exportCategoriesAsExcel")->name("reports.categories.export.excel");
     Route::get("reports/items/export/excel","ReportController@exportItemsAsExcel")->name("reports.items.export.excel");
         Route::get("reports/settings/export/excel","ReportController@exportSettingsAsExcel")->name("reports.settings.export.excel");
       Route::get("reports/delivery/export/excel","ReportController@exportDelivery_price_by_kmssAsExcel")->name("reports.delivery.export.excel");
     Route::get("reports/promocode/export/excel","ReportController@exportPromoCodeAsExcel")->name("reports.promocode.export.excel");
         Route::get("reports/welcomemessage/export/excel","ReportController@exportWelcomeMessageAsExcel")->name("reports.welcomemessage.export.excel");



    Route::resource("items", "ItemsListController");
    Route::resource("sliders", "SliderController");
    Route::get("branch/{id}/slider","BranchTableController@slider")->name("branch.slider");
    Route::put("branch/slider","BranchTableController@saveSlider")->name("branch.slider.save");
    Route::get("items/{id}/add_ons","AddOnsController@index")->name("items.add_ons");
    Route::get("items/{id}/add_ons/create","AddOnsController@create")->name("items.add_ons.create");
    Route::post("items/{item_id}/add_ons","AddOnsController@store")->name("items.add_ons.store");
    Route::get("items/{item_id}/add_ons/{id}/edit","AddOnsController@edit")->name("items.add_ons.edit");
    Route::put("items/{item_id}/add_ons/{id}","AddOnsController@update")->name("items.add_ons.update");
    Route::delete("items/{item_id}/add_ons/{id}/","AddOnsController@destroy")->name("items.add_ons.destroy");

    Route::get("orders","OrderController@index")->name("orders.index");
    Route::get("orders/{id}/details","OrderController@details")->name("orders.details");
    Route::post("orders/export/excel","OrderController@exportExcelFile")->name("orders.export.excel");

    Route::get("settings","SettingsController@index")->name("settings.index");
    Route::post("settings","SettingsController@store")->name("settings.store");

    Route::get("reports/items_count_order", "ReportController@itemsCountOrder")->name("reports.items_count_order");
    Route::get("reports/items_count_order/export/excel",
    "ReportController@exportItemsCountOrderAsExcel")->name("reports.items_count_order.export.excel");




    Route::get("reports/areas_count_order", "ReportController@areaCountOrder")->name("reports.area_count_order");
    Route::get("reports/areas_count_order/export/excel",
        "ReportController@exportareaCountOrderAsExcel")->name("reports.area_count_order.export.excel");




    Route::get("reports/users_with_count_him_orders", "ReportController@getUsersWithCountOrdersHim")->name("reports.users_with_count_him_orders");
    Route::get("reports/users_with_count_him_orders/export/excel",
    "ReportController@exportUsersWithCountOrdersHimAsExcel")->name("reports.users_with_count_him_orders.export.excel");


    Route::get("reports/branches_sales", "ReportController@getBranchesSales")->name("reports.branches_sales");
    Route::get("reports/branches_sales/export/excel",
    "ReportController@exportBranchesSalesAsExcel")->name("reports.branches_sales.export.excel");

    Route::resource("promoCode", "promocodeController");

    Route::resource("WelcomeMessage", "WelcomeMessageController");


////////// rating branches
    Route::get("branchRating/{branch_id}", "branchRatingController@getBranchRating")->name("branchRating");
    Route::get("branchRating/create/{branch_id}", "branchRatingController@create")->name("branchRating.create");
        Route::get("branchRating/edit/{branch_id}", "branchRatingController@edit")->name("branchRating.edit");
    Route::post("branchRating", "branchRatingController@store")->name("branchRating.store");
     Route::put("/updatebranchRating/{branch_id}","branchRatingController@update")->name("branchRating.update");
 Route::delete("/DeletebranchRating/{ID}","branchRatingController@destroy")->name("branchRating.destroy");

   Route::get("/SendForCustom", "NotificationsController@ShowSendForCustom")->name("Notification.SendForCustom");
    Route::get("/SendForAll", "NotificationsController@ShowSendForAll")->name("Notification.SendForAll");
    Route::post("/send", "NotificationsController@send")->name("Notification.send");




    Route::get("/DeleteOption/{ID}","AddOnsOptionsController@destroyWEB")->name("add_ons_option.destroy");
    Route::get("/EditOption/{option_ID}","AddOnsOptionsController@edit")->name("add_ons_option.Edit");
    Route::put("/updateOption/{option_ID}","AddOnsOptionsController@update")->name("add_ons_option.update");

    Route::prefix("principles")->group(function (){
        Route::get("/","PrinciplesController@index")->name("principles.index");
        Route::get("/create","PrinciplesController@create")->name("principles.create");
        Route::post("/store","PrinciplesController@store")->name("principles.store");
        Route::get("/edit/{id}","PrinciplesController@edit")->name("principles.edit");
        Route::post("/update/{id}","PrinciplesController@update")->name("principles.update");
        Route::delete("/destroy/{id}","PrinciplesController@destroy")->name("principles.destroy");
    });
    Route::prefix("blogs")->name("blogs.")->group(function(){
        Route::get("/","BlogsController@index")->name("blogs.index");
        Route::get("/create","BlogsController@create")->name("blogs.create");
        Route::post("/store","BlogsController@store")->name("blogs.store");
        Route::get("/edit/{id}","BlogsController@edit")->name("blogs.edit");
        Route::put("/update/{id}","BlogsController@update")->name("blogs.update");
        Route::delete("/destroy/{id}","BlogsController@destroy")->name("blogs.destroy");
    });
    Route::get("delivery_price/index","DeliveryPriceController@index")->name("delivery_price.index");
    Route::get("delivery_price/create","DeliveryPriceController@create")->name("delivery_price.create");
    Route::post("delivery_price","DeliveryPriceController@store")->name("delivery_price.store");
    Route::get("delivery_price/{id}/edit","DeliveryPriceController@edit")->name("delivery_price.edit");
    Route::put("delivery_price/{id}/update","DeliveryPriceController@update")->name("delivery_price.update");
    Route::delete("delivery_price/{id}/destroy","DeliveryPriceController@destroy")->name("delivery_price.destroy");

    Route::post("api/delivery_location/initialize", "DeliveryPriceController@initialize");
    Route::post("api/delivery_location/cancel", "DeliveryPriceController@cancel");


////////////////////
    Route::post("api/delivery_location/initialize", "AddressOrderController@initialize");

    Route::post("location/order","AddressOrderController@getAddressorder");

    Route::get("get_delivery_order","AddressOrderController@getAddressOrderatlng");

////////////////////////////


    Route::resource("city", "CityController");
    Route::get("city/{city_id}/areas", "AreaController@index")->name("area.index");


   //check status

   Route::resource("check_category_status","check_category_status_controller");

   Route::get("pdf","PdfController@index");

});
Route::get('/test/test1', function(){
    return request()->routeIs("test.*");
})->name("test.index");
// Route::get('/map/test', function(){

// });
